import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import uView from '@/uni_modules/uview-ui'
import store from './store/index.js' // 确保路径正确
Vue.prototype.$store = store;
Vue.use(uView)
import './uni.promisify.adaptor'
import {formatSeconds}from './utils/tools.js'
Vue.prototype.$formatSeconds = formatSeconds;
import {isLoginCourse,isLogin} from './utils/common.js'
Vue.prototype.$isLoginCourse = isLoginCourse
Vue.prototype.$isLogin = isLogin
import {isLoginCourseAuto} from './utils/courseTool.js'
Vue.prototype.$isLoginCourseAuto = isLoginCourseAuto

Vue.use(uView)
// uni.$u.config.unit = 'rpx'
  
import utils from './utils/common.js'
Vue.prototype.utils = utils;
 
import {setData} from './utils/common.js'
Vue.prototype.setData = setData;
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif